Subject: (none)
From: [email-masked] (John Cerney)

6 Jun 1997 08:05:06 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: John Cerney <[email-masked]>
Mime-Version: 1.0
Content-Type: Multipart/Mixed; boundary="BeyondBoundary_1_Thu_Jun_05_07:32:18_1997__29"
X-Mailer: BeyondMail for Windows/Professional 2.3
Original-To: Christian Soeller <[email-masked]>
X-BeyondMail-Priority: 1
Conversation-ID: <[email-masked]>
Original-Cc: [email-masked]
X-Receipt-From-Agent: true
Original-Sender: [email-masked]

--BeyondBoundary_1_Thu_Jun_05_07:32:18_1997__29
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7Bit

> > I, too, have been spending my weekends trying to build perl 5.004 on
> > cygwin 95.
> > 
> > > I applied the patch that Chris Faylor kindly sent me.
> > 
> > Same here.  The patch helped, but the big issue remains: DLLs do not
> > get dynaloaded.  btw, Chris Faylor used NT.  He tells me the XS
> > modules do load properly.
> > 
> 
> Could this be related to the problems reported building DLLs under
> Win95 for X11? There the win95 generated DLLs seemed to contain
> garbage characters due to a possible error in fseek, etc while
> the WinNT generated DLLs seemed to work.
> 
> 
>   Christian

I can verify this. I have seen problems building perl extension lib DLLs on
windows 95 (not NT) due to garbage characters after the base relocation section
of the dll. It seems that if the base relocation section is not terminated by
zeros, then the DLL won't load. DLLs built under windows 95 with gnuwin32
appear to have garbage characters at the end of the base relocation section.
This appears to happen somewhat randomly. Sometimes the DLL will build fine,
sometimes it won't.

I built a simple program that will test for this condition (base relocation
section not being terminated by zeros). I will attach it to this message. Just
type dllcheck <dllname> to use. It will indicate if the DLL is OK or not.

I am currently using this program for building a port of perl/tk I am working
on. On windows 95, I have a script setup to keep building a DLL until the
dllcheck program says it is OK. This sometimes takes rebuilding the DLL 3 to 4
times until it builds OK, without the garbage characters at the end of the base
relocation section.

-John

--BeyondBoundary_1_Thu_Jun_05_07:32:18_1997__29
Content-Type: application/octet-stream; name="dllcheck.exe"
Content-Transfer-Encoding: X-UUENCODE
Content-Disposition: attachment; filename="dllcheck.exe"

--BeyondBoundary_1_Thu_Jun_05_07:32:18_1997__29--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".